<ol class="page-breadcrumb">
  [[> Partial:breadcrumb iri=(resolvePrefix ":Start") label="Home"]]
  [[> Partial:breadcrumb iri=(resolvePrefix ":listDigitizations") label="Digitizations"]]
  [[> Partial:breadcrumbViewEntity entity="Digitization" urlparam="digitizationiri"]]
</ol>

[[> Partial:contentStart]]

[[> Partial:pageHeader2 param="digitizationiri" prefix="Digitization: "]]

<div class="form-container">
  <semantic-form
    subject="[[urlParam 'digitizationiri']]"
    browser-persistence="false"
    persistence="ldp"
    post-action="redirect"
    fields="[[fieldDefinitions
      codex='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/digitized_codex'
      ismi_id='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/ismi_id'
      label='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/label1'
      new_public_scan='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/created_new_public_scan'
      public_scan='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/created_public_scan'
      private_scan='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/created_private_scan'
      record_type='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/digitization_record_type'
      record_type_2='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/digitization_record_type_2'
      transaction_log='http://templates.mpiwg-berlin.mpg.de/ismi/fieldDefinition/transaction_log'
    ]]"
    >

    <bs-tab-container 
      id="digitization-edit-form" 
      class="bs-left-vertical-tabs" 
      default-active-key='[[#if (urlParam "tab" )]][[urlParam "tab"]][[else]]description[[/if]]'
    >
      <div>
        <bs-col sm="2" >
          <bs-nav bs-style="tabs" stacked="true">

            <bs-nav-item event-key="description">
              Description
            </bs-nav-item>

            <bs-nav-item event-key="digitization">
              Digitization
            </bs-nav-item>

            [[#if (hasPermission "forms:ldp:update")]]
              <bs-nav-item event-key="internal" class="hidden-field">
                Internal
              </bs-nav-item>
              <bs-nav-item event-key="delete">
                Delete
              </bs-nav-item>
            [[/if]]

          </bs-nav>
        </bs-col>
        <bs-col sm="10">

          <bs-tab-content animation="true">

            <bs-tab-pane event-key="description">
              <h3>Description</h3>

              <semantic-form-text-input for="label"></semantic-form-text-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="digitization">
              <h3>Digitization</h3>
                
              <semantic-form-select-input for="codex" ></semantic-form-select-input>
              
              <semantic-form-select-input for="public_scan" ></semantic-form-select-input>
              <semantic-form-text-input for="new_public_scan" ></semantic-form-text-input>
              <semantic-form-select-input for="private_scan" ></semantic-form-select-input>

            </bs-tab-pane>

            <bs-tab-pane event-key="delete">

              [[> Partial:deleteButton 
                back=(resolvePrefix ":editDigitization")
                param="digitizationiri"
                entityType="Digitization"
                redirect=(resolvePrefix ":listDigitizations")
              ]]

            </bs-tab-pane>

            <bs-tab-pane event-key="internal">
              <h3>Internal</h3>
              <semantic-form-text-input for="ismi_id"></semantic-form-text-input>
              <semantic-form-text-input for="record_type"></semantic-form-text-input>
              <semantic-form-text-input for="record_type_2"></semantic-form-text-input>
              <semantic-form-text-input for="transaction_log" multiline="true"></semantic-form-text-input>
            </bs-tab-pane>

          </bs-tab-content>

          <div class="gap text-right">
            <button name="submit" class="btn btn-primary btn-md">Save</button>
            <semantic-form-recover-notification class="alert alert-info"></semantic-form-recover-notification>
            <semantic-form-errors></semantic-form-errors>
          </div>

        </bs-col>
      <div>
    </bs-tab-container>

  </semantic-form>
</div>

[[> Partial:contentEnd]]
